List Alert Integrations Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/alerts/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/alerts/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/alerts/integrations \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"integration_type": "<string>",
"teams_tenant_id": "<string>",
"description": "<string>",
"template": "<string>",
"enabled": true,
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Alerts
List Alert Integrations Endpoint
GET
/
api
/
v1
/
org
/
alerts
/
integrations
List Alert Integrations Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/alerts/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/alerts/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/alerts/integrations \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"integration_type": "<string>",
"teams_tenant_id": "<string>",
"description": "<string>",
"template": "<string>",
"enabled": true,
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100